Bug 1416410 (CVE-2016-10164) - CVE-2016-10164 libXpm: Out-of-bounds write in XPM extension parsing
Summary: CVE-2016-10164 libXpm: Out-of-bounds write in XPM extension parsing
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10164
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1416442 1431946
Blocks: 1416412
TreeView+ depends on / blocked
 
Reported: 2017-01-25 12:56 UTC by Andrej Nemec
Modified: 2019-09-29 14:05 UTC (History)
3 users (show)

Fixed In Version: libXpm 3.5.12
Doc Type: If docs needed, set a value
Doc Text:
An integer overflow flaw leading to a heap-based buffer overflow was found in libXpm. An attacker could use this flaw to crash an application using libXpm via a specially crafted XPM file.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1865 normal SHIPPED_LIVE Moderate: X.org X11 libraries security, bug fix and enhancement update 2017-08-01 17:50:43 UTC

Description Andrej Nemec 2017-01-25 12:56:31 UTC
An out of boundary write has been found in libXpm which can be exploited by an attacker through maliciously crafted XPM files.

The affected code is prone to two 32 bit integer overflows while parsing extensions: the amount of extensions and their concatenated length.

References:

http://seclists.org/oss-sec/2017/q1/167

Upstream patch:

https://cgit.freedesktop.org/xorg/lib/libXpm/commit/?id=d1167418f0fd02a27f617ec5afd6db053afbe185

Comment 1 Andrej Nemec 2017-01-25 13:52:17 UTC
Created libXpm tracking bugs for this issue:

Affects: fedora-24 [bug 1416442]

Comment 4 errata-xmlrpc 2017-08-01 16:04:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1865 https://access.redhat.com/errata/RHSA-2017:1865


Note You need to log in before you can comment on or make changes to this bug.